package app.padelclub.lestorage

class Store(val storeCenter: StoreCenter) {

    fun writeJson(filename: String, json: String) {
        this.storeCenter.fileWriter.writeFile(storeCenter.directory, filename, json)
    }

    fun <T : Storable> collection(filename: String): StoredCollection<T> {
        return StoredCollection(this, filename)
    }

}